package models

type CmPermission struct {
	Id         int    `xorm:"not null pk autoincr INT(11)"`
	Name       string `xorm:"not null comment('权限名称') VARCHAR(32)"`
	Controller string `xorm:"comment('控制器名称') VARCHAR(32)"`
	Action     string `xorm:"comment('action名称') VARCHAR(32)"`
	Pid        int    `xorm:"not null comment('父ID') INT(11)"`
	IconClass  string `xorm:"comment('图标类名') VARCHAR(32)"`
	CreateTime int    `xorm:"comment('创建时间') INT(11)"`
	Isshow     int    `xorm:"not null default 1 comment('是否展示该权限') TINYINT(4)"`
}
